Package org.apache.tiles.request.jsp.extractor

# Class ScopeExtractor

java.lang.Object
org.apache.tiles.request.jsp.extractor.ScopeExtractor

All Implemented Interfaces:
  `Addable<Object>`, `AttributeExtractor`, `HasAddableKeys<Object>`, `HasKeys<Object>`, `HasRemovableKeys<Object>`

public class ScopeExtractor extends Object implements AttributeExtractor
Extracts attributes from a numbered scope from `JspContext`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScopeExtractor(jakarta.servlet.jsp.JspContext context, int scope)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Enumeration<String>`
  `getKeys()`
  The enumeration of the keys of the stored attributes.
  `Object`
  `getValue(String key)`
  Returns the value of the attribute with the given key.
  `void`
  `removeValue(String name)`
  Removes an attribute.
  `void`
  `setValue(String key, Object value)`
  Sets a value for the given key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScopeExtractor

    public ScopeExtractor(jakarta.servlet.jsp.JspContext context, int scope)
    Constructor.
    Parameters:
      `context` - The JSP context.
      `scope` - The scope number.

- ## Method Details

  - ### removeValue

    public void removeValue(String name)
    Description copied from interface: `HasRemovableKeys`
    Removes an attribute.
    Specified by:
      `removeValue` in interface `HasRemovableKeys<Object>`
    Parameters:
      `name` - The key of the attribute to remove.

  - ### getKeys

    public Enumeration<String> getKeys()
    Description copied from interface: `HasKeys`
    The enumeration of the keys of the stored attributes.
    Specified by:
      `getKeys` in interface `HasKeys<Object>`
    Returns:
      The keys.

  - ### getValue

    public Object getValue(String key)
    Description copied from interface: `HasKeys`
    Returns the value of the attribute with the given key.
    Specified by:
      `getValue` in interface `HasKeys<Object>`
    Parameters:
      `key` - The key of the attribute.
    Returns:
      The value.

  - ### setValue

    public void setValue(String key, Object value)
    Description copied from interface: `Addable`
    Sets a value for the given key.
    Specified by:
      `setValue` in interface `Addable<Object>`
    Parameters:
      `key` - The key of the attribute.
      `value` - The value of the attribute.